Any Shoot - Advanced Mode - Submit Task
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"productImageUrl": "<string>",
"productMaskUrl": "<string>",
"templateImageUrl": "<string>",
"templateMaskUrl": "<string>"
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit"
payload = {
"productImageUrl": "<string>",
"productMaskUrl": "<string>",
"templateImageUrl": "<string>",
"templateMaskUrl": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productImageUrl: '<string>',
productMaskUrl: '<string>',
templateImageUrl: '<string>',
templateMaskUrl: '<string>'
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "Operation successful",
"data": "task-1234567890"
}
Any Shoot
Any Shoot - Advanced Mode - Submit Task
POST
/
prod-api
/
nebula
/
v4
/
api
/
anyShootAdvancedModeSubmit
Any Shoot - Advanced Mode - Submit Task
Introduction
Submit Any Shoot advanced mode task, used to transfer product image to specified template.Authentication
string
required
Bearer Token, e.g.,
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-tokenRequest Parameters
string
required
Product image URL
string
required
Product mask URL
string
required
Template image URL
string
required
Template mask URL
Example Code
- cURL Example
- Python Example
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"productImageUrl": "https://example.com/product.png",
"productMaskUrl": "https://example.com/product-mask.png",
"templateImageUrl": "https://example.com/template.png",
"templateMaskUrl": "https://example.com/template-mask.png"
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootAdvancedModeSubmit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"productImageUrl": "https://example.com/product.png",
"productMaskUrl": "https://example.com/product-mask.png",
"templateImageUrl": "https://example.com/template.png",
"templateMaskUrl": "https://example.com/template-mask.png"
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
Response Example
{
"code": 200,
"msg": "Operation successful",
"data": "task-1234567890"
}
⌘I
